> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Master Data

> API takes in the Corporate Identification Number (CIN) or Limited Liability Partnership Identification Number (LLPIN) as `cin` to identify and retrieve basic information about the company.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/ancxmyn/company-master-data" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/kyc/openapi.json POST /kyc/mca/company/master-data
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /kyc/mca/company/master-data:
    post:
      tags:
        - kyc
        - mca
      summary: Company Master Data
      description: Fetch companies's details using CIN or LLPIN
      operationId: getCompanyMasterData
      parameters:
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Media type of the request body.
          required: false
          example: application/json
          schema:
            type: string
            enum:
              - application/json
        - name: x-accept-cache
          in: header
          description: >-
            Optional cache-control header. For cache behavior details, refer to
            [Response
            Caching](https://developer.sandbox.co.in/docs/response-caching#x-accept-cache-header).
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: x-source
          in: header
          description: >-
            Optional source selector. Allowed values are `primary` and
            `secondary`. For request-behavior details, refer to the [MCA
            Overview](https://developer.sandbox.co.in/api-reference/kyc/mca/overview).
          required: false
          example: primary
          schema:
            type: string
            enum:
              - primary
              - secondary
      requestBody:
        content:
          application/json:
            schema:
              type: object
              anyOf:
                - required:
                    - cin
              properties:
                cin:
                  type: string
                  description: Corporate Identification Number of the company
                  pattern: ^[LU]\d{5}[A-Z]{2}\d{4}[A-Z]{3}\d{6}$
                  minLength: 21
                  maxLength: 21
              additionalProperties: false
            example:
              cin: U47219GJ2023PTC143977
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP-like status code for the API response
                  timestamp:
                    type: integer
                    description: Response timestamp in epoch milliseconds
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        '@entity':
                          type: string
                          const: in.co.sandbox.kyc.mca.company_master_data
                          description: Type discriminator for MCA company master data
                        cin:
                          type: string
                          description: Corporate Identification Number of the company
                          pattern: ^[LU]\d{5}[A-Z]{2}\d{4}[A-Z]{3}\d{6}$
                          minLength: 21
                          maxLength: 21
                        company_name:
                          type: string
                        company_roc_code:
                          type: string
                        company_category:
                          type: string
                        company_sub_category:
                          type: string
                        company_class:
                          type: string
                        authorized_capital:
                          type: number
                        paidup_capital:
                          type: number
                        company_registration_date:
                          type: string
                          format: date
                        registered_office_address:
                          type: string
                        listing_status:
                          type: string
                        company_status:
                          type: string
                        company_state_code:
                          type: string
                        company_origin:
                          type: string
                        nic_code:
                          type: string
                        company_industrial_classification:
                          type: string
                        updated_at:
                          type: string
                      required:
                        - '@entity'
                        - cin
                        - updated_at
                      additionalProperties: false
                  transaction_id:
                    type: string
                    description: Unique transaction identifier for the API request
                required:
                  - code
                  - timestamp
                  - data
                  - transaction_id
                additionalProperties: false
              example:
                code: 200
                timestamp: 1782021074236
                data:
                  - updated_at: 1783351002317
                    '@entity': in.co.sandbox.kyc.mca.company_master_data
                    cin: U72900GJ2015PTC082637
                    company_name: QUICKO INFOSOFT PRIVATE LIMITED
                    company_roc_code: ROC Ahmedabad
                    company_category: Company limited by shares
                    company_sub_category: Non-government company
                    company_class: Private
                    authorized_capital: 15200000
                    paidup_capital: 14566670
                    company_registration_date: '2015-03-19'
                    registered_office_address: >-
                      B/701 ,Amrapali Lakeview Tower   Opp.Vastrapur Lake,
                      Vastrapur,Ahmedabad,Ahmedabad,Gujarat,380015-India
                    listing_status: Unlisted
                    company_status: Active
                    company_state_code: gujarat
                    company_origin: India
                    nic_code: '72900'
                    company_industrial_classification: Business Services
                transaction_id: 321e98ad-b002-4c4e-ad6b-34121e06c127
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              example:
                code: 400
                timestamp: 1783331537495
                message: Invalid request body
                transaction_id: 242c5503-7ae0-4b01-b5ac-6f14177c0096
          headers: {}
        '521':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              example:
                code: 521
                timestamp: 1783331595884
                message: 'Company master data not found for CIN: U34300GJ2017PLC097818'
                transaction_id: 66e9235e-a9b2-4646-a39c-79fc3df114b0
          headers: {}
      deprecated: false
      security: []

````